ZVersion.zh / ZCVersion.zh

SubmittedDecember 14, 2016

0.0 rating

Featured Screenshot



Download Script Package



This is a utility header that will allow you to determine which version of C (2.50.0, 2.50.1, or 2.50.2) a player is using to play a quest. It is intended to offer backward-compatibility, or cross-compatibility for quests that use scripted elements that have different results, based on the ZC (player) version running the quest.

It also includes a few utility functions to require a player to use a newer, or specific version of ZC.

I developed this to patch quests using DrawInvertedCircle() on 2.50.2, but it has a variety of uses, including ensuring that potential bugs caused by using an older ZC version won't become a problem.

Script Setup Details

Import ZVersion.zh, and configure it as needed. The header should be self-explanatory.

This entry has no reviews.

Recent Resources